import { request } from '../utils/request'

// 我的地区园所列表
export function getDistrictGarden(parmas) {
    return request({
        url: `/agent/miniprogram/school`,
        method: 'GET',
        query: parmas
    })
}
// 模糊搜索
export function dimSearch(parmas) {
    return request({
        url: `/agent/miniprogram/school/name`,
        method: 'GET',
        query: parmas
    })
}

// 园所详情
export function querySchoolDetail(id) {
    return request({
        url: `/agent/miniprogram/school/${id}`,
        method: 'GET',
    })
}

// 取消合作
export function deleteSchoolRelation(schoolId) {
    return request({
        url: `/agent/miniprogram/school/delete/relation/${schoolId}`,
        method: 'GET',
    })
}

// 更新学校信息
export function updateSchoolRelation(data) {
    return request({
        url: `/agent/miniprogram/school/update/relation`,
        method: 'PUT',
        query: data,
    })
}